"""
This script is used to install ttfhead and all its dependencies. Run

    python setup.py install
or
    python3 setup.py install

to install the package.
"""

# Copyright (C) 2021 Frank Sauerburger

from setuptools import setup

def load_long_description(filename):
    """
    Loads the given file and returns its content.
    """
    with open(filename) as readme_file:
        content = readme_file.read()
        return content

setup(name='ttfhead',
      version='0.0.0',  # Also change in module
      packages=["ttfhead"],
      install_requires=["colorama"],  # Also add in requirements.txt
      scripts=['bin/ttfhead'],
      description='',  # Short description
      long_description=load_long_description("README.rst"),
      url="https://gitlab.sauerburger.com/frank/ttfhead",
      author="Frank Sauerburger",
      author_email="frank@sauerburger.com",
      # keywords="physics value error uncertainty unit quantity",
      classifiers=[],  # https://pypi.org/classifiers/
      license="MIT")
